{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'inventory/css/browse.css' %}">
<link rel="stylesheet" href="{% static 'inventory/css/detail.css' %}">
{% endblock %}

{% block js %}
<script type="text/javascript" src="{% static 'inventory/js/inventory-functions.js' %}"></script>
<script type="text/javascript" src="{% static 'inventory/js/details-functions.js' %}"></script>
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button" {% endblock %}
{% block nav_contact %} class="button-selected" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}
    <div class="page-tlt">
        <h1>{% if item %}Item Details{% elif location %}Location Details{% endif %}</h1>
        <div class="right-triangle-decoration wss"></div>
    </div>
    
    <div class="body-content">
        <a href="{% url 'inventory:browse' %}" class="back-button"><i class="fas fa-arrow-left"></i> Back To Inventory</a>
        {% if item %}
            <div class="subject-card">
                <h1 class="subject-tlt">{{ item }}</h1>
                <div id="subject-mvc">
                    <div class="subject-info">
                        <p>Unit of Measurement: <span class="span-red-text">{{ item.unit }}</span> </p>
                        <p>Part Number: <span class="span-red-text">{{ item.part_number }}</span></p>
                        <p>Total quantity: <span class="span-red-text">{{ item.quantity }}</span></p>
                        <p>Vendor: <span class="span-red-text">{{ item.vendor }}</span></p>
                        <p>Report value: <span class="span-red-text">{{ item.report_count }}</span></p>
                        <p>Barcode: <span class="span-red-text">{{ item.barcode }}</span></p>
                    </div> 
                </div>
                <img src="{{ item.barcode_image.url }}" alt="image of barcode" class="subject-barcode">
            </div>
            <div class="description-card">
                <h1 class="description-tlt">Description</h1>
                <div class="description-info">
                    <div class="description-mvc">
                        <p>{% if item.description %} {{ item.description }} {% else %} No Description exsists for this item {% endif %}</p>
                        <img src="{{ item.getImage }}" alt="image of item" class="subject-barcode">
                    </div>
                </div>
            </div>
            <div class="location-card">
            {% if item.location_set %}
                <h1 class="location-tlt">Locations of item</h1>
                <div class="scrollable-table">
                <table>
                    <thead>
                        <th>Name</th>
                        <th>Barcode</th>
                        <th>Quantity</th>
                        <th>More Info</th>
                        <th>Actions</th>
                    </thead>
                    {% for container in item.container_set.all %}
                        {% if container.location_quantity > 0 %}
                            <tr>
                               <td>{{ container.location }}</td>
                               <td>{{ container.location.barcode }}</td>
                                {% if container.item == item %}
                                   <td>{{ container.location_quantity }}</td>
                                {% endif %}
                                <td>
                                    <a href="{% url 'inventory:detail' container.location.barcode %}">Details</a>
                                </td>
                                <td>
                                    <h1 href="{% url 'inventory:delete' container.location.barcode %}" class="delete-button red-delete">Delete</h1>
                                </td>
                            </tr>
                        {% endif %}
                    {% endfor %}
                </table>
                </div>
            {% else %}
                <p>This item does not have any locations</p>
            {% endif %}
            </div>
            <div class="action-card">
                <form action="{% url 'inventory:addOrTake' item.barcode %}" method="POST">{% csrf_token %}
                    <h1 class="action-tlt">Add/Take items</h1>
                    <div class="action-row">
                        <label for='loc'>Location: </label>
                        <select name="loc" id="loc">
                            {% for location in location_list %}
                                <option value="{{ location }}">{{ location }}</option>
                            {% endfor %}
                        </select>
                    </div>
                    <div class="action-row">
                        <label for='Amount'>Quantity: </label>
                        <input type="number" name='quant' id='Amount' value="1">
                    </div>
                    <div class="action-row button-row">
                        <input class="button" type="submit" name="add" value="add">
                        <input class="button" type="submit" name="take" value="take">
                    </div>
                </form>
            </div>
            <div class="full-card">
                <h1 class="full-tlt">History</h1>
                <div class="history-table">
                    <table>
                        <thead>
                            <th>User</th>
                            <th>Action</th>
                            <th>Time</th>
                        </thead>
                        {% for history in item.history_set.all %}
                            <tr>
                              <td>{{ history.user }}</td>
                              <td>{{ history.action_time }}</td>
                              <td>{{ history.action }}</td>
                            </tr>
                        {% endfor %}
                    </table>
                </div>
                <div class="button-row">
                    <a class="button edit-button">Edit Item</a>
                    <h1 href="{% url 'inventory:delete' item.barcode %}" class="button delete-button">Delete Entire Item</h1>
                </div> 
            </div>
            <div class="overlay">
                <div class="overlay-card item-overlay">
                    <form action="{% url 'inventory:editSubmit' item.barcode %}" method="POST" enctype="multipart/form-data">
                        {% csrf_token %}
                        <h1 class="subject-tlt">Edit Current Item</h1>
                        
                        <div class="divide-line">
                            <div class="label-wrapper">
                                <label for="name">+ Name</label>
                            </div>
                            <input type="text" name="name" id="name" required>
                        </div>
                        <div class="divide-line">
                            <div class="label-wrapper">
                                <label for="desc">+ Description</label>
                            </div>
                            <input type="text" name="desc" id="desc" required>
                        </div>
                        <div class="divide-line">
                            <div class="label-wrapper">
                                <label for="uom">+ Unit of Measurement</label>
                            </div>
                            <input type="text" name="uom" id="uom" required>
                        </div>
                        <div class="divide-line">
                            <div class="label-wrapper">
                                <label for="pnum">+ Part Number</label>
                            </div>
                            <input type="text" name="pnum" id="pnum" required>
                        </div>
                        <div class="divide-line">
                            <div class="label-wrapper">
                                <label for="vendor">+ Vendor</label>
                            </div>
                            <input type="text" name="vendor" id="vendor" required>
                        </div>
                        <div class="end-button-row">
                            <input class="button" type="submit" name="location" value="Confirm Edit">
                            <h1 class="button edit-button">Cancel</h1>
                        </div>
                        
                    </form>
                </div>
            </div>
        {% elif location %}
            <div class="subject-card">
                <h1 class="subject-tlt">{{ location }}</h1>
                <div id="subject-mvc">
                    <div class="subject-info">
                    <p>Barcode: <span class="span-red-text">{{ location.barcode }}</span></p>
                    </div> 
                    <img src="{{ location.barcode_image.url }}" alt="image of barcode" class="subject-barcode">
                </div>
            </div>
            <div class="description-card">
                <h1 class="description-tlt">Description</h1>
                <div class="description-info">
                    <div class="description-mvc">
                    	<p>{% if location.description %} {{ location.description }} {% else %} No Description exsists for this location {% endif %}</p>
                        <img src="{{ location.getImage }}" alt="image of item" class="subject-barcode">
                    </div>
                </div>
            </div>
            <div class="half-card">
                {% if location.items %}
                    <div class="half-scrollable-table">
                        <h1 class="half-tlt">Items:</h1>
                        <table>
                            <tr>
                                <th>Name</th>
                                <th>Unit of Measurement</th>
                                <th>Barcode</th>
                                <th>Quantity</th>
                                <th>More Details</th>
                                <th>Actions</th>
                            </tr>
                            {% for container in location.container_set.all %}
                                {% if container.location_quantity > 0 %}
                                    <tr>
                                       <td>{{ container.item }}</td>
                                       <td>{{ container.item.unit }}</td>
                                       <td>{{ container.item.barcode }}</td>
                                        {% if container.location == location %}
                                           <td>{{ container.location_quantity }}</td>
                                        {% endif %}
                                        <td>
                                           <a href="{% url 'inventory:detail' container.item.barcode %}">Details</a>
                                        </td>
                                        <td>
                                            <h1 href="{% url 'inventory:delete' container.item.barcode %}" class="delete-button red-delete">Delete Entire Location</h1>
                                        </td>
                                    </tr>
                                {% endif %}
                            {% endfor %}
                        </table>
                    </div>
                {% else %}
                    <p>This location has no items</p>
                {% endif %}
            </div>
            <div class="half-card">
                <h1 class="half-tlt">History</h1>
                <div class="scrollable-table">
                    <table>
                        <tr>
                            <th>User</th>
                            <th>Date and Time</th>
                            <th>Action</th>
                        </tr>
                        {% for history in location.history_set.all %}
                        <tr>
                            <td>{{ history.user }}</td>
                            <td>{{ history.action_time }}</td>
                            <td>{{ history.action }}</td>
                        </tr>
                        {% endfor %}
                    </table>
                </div>
            </div>
            <div class="full-card">
                <div class="button-row">
                    <a class="button edit-button">Edit Location</a>
                    <h1 href="{% url 'inventory:delete' location.barcode %}" class="button delete-button">Delete Entire Location</h1>
                </div> 
            </div>
            <div class="overlay">
                <div class="overlay-card">
                    <form action="{% url 'inventory:editSubmit' location.barcode %}" method="POST">{% csrf_token %}
                        <h1 class="subject-tlt">Edit Location</h1>
                        <div class="divide-line">
                            <label for="name">Name:</label>
                            <input type="text" name="name" id="name" required>
                        </div>
                        <div class="divide-line">
                            <label for="desc">Description:</label>
                            <input type="text" name="desc" id="desc" required>
                        </div>
                        <div class="divide-line">
                            <label for="image">Image:</label>
                            <input type="file" name="image" id="image" required>
                        </div>
                        <div class="end-button-row">
                            <input class="button" type="submit" name="location" value="Confirm Edit">
                            <h1 class="button edit-button">Cancel</h1>
                        </div>
                    </form>
                </div>
            </div>
        {% endif %}
    </div>
{% endblock %}
